Bug 1730625 - moksha depends on Python 2
Summary: moksha depends on Python 2
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: moksha
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31BetaFreezeException PY2FTBI F31_PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2019-07-17 08:28 UTC by Miro Hrončok
Modified: 2019-08-31 07:39 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-31 07:39:24 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2019-07-17 08:28:42 UTC
Python 2.7 will reach end-of-life in January 2020, over 9 years after it was released. This falls within the Fedora 31 lifetime.

Packages that depend on Python 2 are being switched to Python 3 or removed from Fedora: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

Python 2 will be retired in Fedora 32: https://fedoraproject.org/wiki/Changes/RetirePython2

To help planning, we'd like to know the plans for moksha's future. Specifically:


- What are the upstream/community plans/timelines regarding Python 3?

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)


This bug is filed semi-automatically, and might not have all the context specific to moksha.
If you need anything from us, or something is unclear, please mention it here.

Thank you.

Comment 1 Miro Hrončok 2019-07-24 14:51:46 UTC
Please provide the requested information.

Comment 2 Miro Hrončok 2019-07-31 09:54:23 UTC
Please provide the requested information or drop the package.

Comment 3 Miro Hrončok 2019-08-09 18:11:28 UTC
Please provide the requested information or drop the package.

Comment 4 Miro Hrončok 2019-08-09 18:14:14 UTC
https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

"After 3 such comments, the package can be orphaned (through a releng ticket)"

https://pagure.io/releng/issue/8602

Comment 5 Ben Cotton 2019-08-13 16:47:15 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 6 Miro Hrončok 2019-08-28 13:49:21 UTC
This also doesn't install or build, for the record.

See https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

"Packages still failing to install due to a missing Python 2 dependency will be retired at Beta Freeze, assuming they have a Bugzilla bug open for at least 2 weeks. The package maintainer may postpone this retirement to the Final Freeze by promising to fix it until then."

There is no maintainer, so let me just retire it right away. Done...

Let me know if you need help getting it back once it can be built and installed. I will gladly re-review it.

Comment 7 Miro Hrončok 2019-08-30 11:57:25 UTC
Requesting a freeze exception based on https://pagure.io/fesco/issue/2216#comment-593925

Comment 8 Adam Williamson 2019-08-30 16:05:14 UTC
Note fedmsg depends on moksha; if moksha goes we lose all of fedmsg.

Comment 9 Miro Hrončok 2019-08-31 07:39:24 UTC
I've verified that the package is gone from the fedora repo. Thanks and sorry for panicking.


Note You need to log in before you can comment on or make changes to this bug.